<?php
$DIR = $_SERVER["DOCUMENT_ROOT"];
include_once $DIR.'/sys/inc/start.php';
include_once $DIR.'/sys/inc/compress.php';
include_once $DIR.'/sys/inc/sess.php';
include_once $DIR.'/sys/inc/home.php';
include_once $DIR.'/sys/inc/settings.php';
include_once $DIR.'/sys/inc/db_connect.php';
include_once $DIR.'/sys/inc/ipua.php';
include_once $DIR.'/sys/inc/fnc.php';
include_once $DIR.'/sys/inc/user.php';
$set['title']='Сообщение - Обсуждения';
include_once $DIR.'/sys/inc/thead.php';
title();

echo '<div class="list_index">';
if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `wall` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}


if (isset($_POST['msg']) && isset($user))
{
$msg=mysql_real_escape_string($_POST['msg']);

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif(!isset($err)){
mysql_query("INSERT INTO `wall_com` (`id_user`, `time`, `msg`, `id_zap`) values('$user[id]', '$time', '$msg', '".intval($_GET['id'])."')");
msg('Ваш комментарий успешно принят');
}
}
err();


if (isset($user))
{
echo "<form method=\"post\" name='message' action=\"?id=".intval($_GET['id'])."&amp;page=$page\">\n";
echo "<div class='ankus'>Комментарий:<br />\n<textarea name=\"msg\"></textarea><br />\n";
echo "<input value=\"Сказать\" type=\"submit\" />\n";
echo "</form></div>";
}


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `wall_com` WHERE `id_zap` = '".intval($_GET['id'])."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `wall_com` WHERE `id_zap` = '".intval($_GET['id'])."' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{
echo "<div class='ankus'>Нет комментариев</div>";
}
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);

echo "  <div class='prof'>\n";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>".online($ank['id'])." (".vremja($post['time']).")<br />";
echo output_text($post['msg'])."<br />\n";
echo "  </div>";
}


if ($k_page>1)str("wall_com.php?id=".intval($_GET['id']).'&amp;',$k_page,$page);


echo "<div class='ankus'> ".img('icon.png')." <a href='/'>К записям</a></div></div>";
include_once $DIR.'/sys/inc/tfoot.php';
?>